# Uses of Class
io.dapr.client.domain.PublishEventRequest

Packages that use PublishEventRequest
Package
Description
io.dapr.client
io.dapr.client.domain

## Uses of PublishEventRequest in io.dapr.client

Methods in io.dapr.client with parameters of type PublishEventRequest
Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
DaprClient.`publishEvent(PublishEventRequest request)`
Publish an event.
`reactor.core.publisher.Mono<Void>`
DaprClientImpl.`publishEvent(PublishEventRequest request)`
Publish an event.

## Uses of PublishEventRequest in io.dapr.client.domain

Methods in io.dapr.client.domain that return PublishEventRequest
Modifier and Type
Method
Description
`PublishEventRequest`
PublishEventRequest.`setContentType(String contentType)`
`PublishEventRequest`
PublishEventRequest.`setMetadata(Map<String,String> metadata)`